if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

( cd usr/lib ; rm -rf libgnome-desktop-2.so )
( cd usr/lib ; ln -sf libgnome-desktop-2.so.2.4.8 libgnome-desktop-2.so )
( cd usr/lib ; rm -rf libgnome-desktop-2.so.2 )
( cd usr/lib ; ln -sf libgnome-desktop-2.so.2.4.8 libgnome-desktop-2.so.2 )
